<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Agorae
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\Agorae\Model\Product\Attribute\Source;

/**
 * Agorae Product Attribute Source Type Model
 */
class Type extends \Magento\Eav\Model\Entity\Attribute\Source\AbstractSource
{
    /**
     * Get All Options
     *
     * @return array of agorae product custom label
     */
    public function getAllOptions()
    {
        if (!$this->_options) {
            $this->_options = [
                ['label' => __('--Select any one Custom Label--'), 'value' => ''],
                ['label' => __('Editor\'s Pick Product'), 'value' => 'editorpick'],
                ['label' => __('New Product'), 'value' => 'new'],
                ['label' => __('Sale Product'), 'value' => 'sale'],
                ['label' => __('Discount Product'), 'value' => 'discount'],
            ];
        }
        return $this->_options;
    }
}
